package com.supwisdom.dlpay.api.domain;

import javax.persistence.Column;
import javax.persistence.Embeddable;
import javax.persistence.Id;
import java.io.Serializable;

@Embeddable
public class TPersonIdentityPK implements Serializable {
  @Id
  @Column(name="THIRD_USERID", nullable = false, length = 60)
  private String thirdUserid;

  @Id
  @Column(name="THIRD_SYSCODE", nullable = false, length = 20)
  private String thirdSyscode;

  public TPersonIdentityPK() {
  }

  public TPersonIdentityPK(String thirdUserid, String thirdSyscode) {
    this.thirdUserid = thirdUserid;
    this.thirdSyscode = thirdSyscode;
  }

  public String getThirdUserid() {
    return thirdUserid;
  }

  public void setThirdUserid(String thirdUserid) {
    this.thirdUserid = thirdUserid;
  }

  public String getThirdSyscode() {
    return thirdSyscode;
  }

  public void setThirdSyscode(String thirdSyscode) {
    this.thirdSyscode = thirdSyscode;
  }

  @Override
  public boolean equals(Object o) {
    if (this == o) return true;
    if (o == null || getClass() != o.getClass()) return false;
    TPersonIdentityPK tPersonIdentityPK = (TPersonIdentityPK) o;
    if (thirdUserid != null ? !thirdUserid.equals(tPersonIdentityPK.getThirdUserid()) : thirdUserid != null)
      return false;
    if (thirdSyscode != null ? !thirdSyscode.equals(tPersonIdentityPK.getThirdSyscode()) : thirdSyscode != null)
      return false;

    return true;
  }

  @Override
  public int hashCode() {
    int result = thirdUserid != null ? thirdUserid.hashCode() : 0;
    result = 31 * result + (thirdSyscode != null ? thirdSyscode.hashCode() : 0);
    return result;
  }
}
